Index: SPECS/distcc-2.18.3-rf.spec
===================================================================
--- SPECS.orig/distcc-2.18.3-rf.spec
+++ SPECS/distcc-2.18.3-rf.spec
@@ -15,12 +15,10 @@
 
 %define desktop_vendor rpmforge
 
-%define gccversion %(rpm -q gcc --qf '%{RPMTAG_VERSION}' | tail -1)
-
 Summary: Distributed C/C++ compilation client program
 Name: distcc
 Version: 2.18.3
-Release: 2.rf
+Release: 2.sk1
 License: GPL
 Group: Development/Tools
 URL: http://distcc.samba.org/
@@ -32,7 +30,7 @@ Source: http://samba.org/ftp/distcc/dist
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
 
 %{!?_without_gtk2:BuildRequires: gtk2-devel >= 2.0, libgnome-devel, libgnomeui-devel}
-Requires: gcc, gcc-c++
+Requires: gcc, gcc-c++, gcc-gfortran
 %{?el4:Requires: gcc4}
 %{?fc3:Requires: compat-gcc, compat-gcc-c++, gcc4}
 %{?fc2:Requires: compat-gcc, compat-gcc-c++, gcc34}
@@ -88,7 +86,7 @@ EOF
 #USER="distcc"
 
 ### Set this if don't want distccd to use gcc or g++ by accident.
-#DISTCCPATH="/usr/lib/distcc/bin"
+#DISTCCD_PATH="/usr/lib/distcc/bin"
 EOF
 
 %{__cat} <<'EOF' >distccd.sysv
@@ -123,6 +121,7 @@ DISTCCPATH="$PATH"
 
 ### Read configuration
 [ -r "$SYSCONFIG" ] && source "$SYSCONFIG"
+export DISTCCD_PATH
 
 RETVAL=0
 prog="distccd"
@@ -130,7 +129,7 @@ desc="Distributed Compiler daemon"
 
 start() {
 	echo -n $"Starting $desc ($prog): "
-	PATH="$DISTCCPATH" daemon --user "$USER" $prog --daemon --log-file="%{_localstatedir}/log/distccd.log" $OPTIONS
+	daemon --user "$USER" $prog --daemon --log-file="%{_localstatedir}/log/distccd.log" $OPTIONS
 	RETVAL=$?
 	echo
 	[ $RETVAL -eq 0 ] && touch %{_localstatedir}/lock/subsys/$prog
@@ -221,9 +220,9 @@ EOF
 %{__install} -D -m0644 distccd.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/distccd
 
 %{__install} -d -m0755 %{buildroot}%{_libdir}/distcc/bin/
-for compiler in cc c++ gcc g++; do
+for compiler in cc c++ gcc g++ f95 gfortran; do
 	%{__ln_s} -f %{_bindir}/distcc %{buildroot}%{_libdir}/distcc/bin/$compiler
-	%{__ln_s} -f %{_bindir}/distcc %{buildroot}%{_libdir}/distcc/bin/i386-redhat-linux-$compiler-%{gccversion}
+	%{__ln_s} -f %{_bindir}/distcc %{buildroot}%{_libdir}/distcc/bin/%{_target_platform}-$compiler
 done
 
 %{?fc3:%define has_gcc4 1}
